
#include "int_test.h"
#include "LidarPerception_GeneralWrapper.h"
#include "lidar_perception/executable.h"


void setup_test()
{
	// Logger for wrapper
	// ara headers must be added
	ara::log::InitLogging("Lidar", "Perception_TEST", ara::log::LogLevel::kVerbose, (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));

	ara::log::Logger &mainLog { ara::log::CreateLogger("main", "lidar sample context", ara::log::LogLevel::kVerbose) };

	mainLog.LogInfo() << "Let's produce some lidar perception data...";

	GeneralWrapper gw(mainLog);


	while(1)
	{
		gw._LiDARPerception2Fusion_Provide.Publish();
		std::this_thread::sleep_for(std::chrono::milliseconds(300));
	}
}



